
QGIS Application - Bug report #17345

Graduated classification is missing lowest data value in its classes

2017-10-27 03:50 PM - Johannes Kroeger

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 25242

Description

Load the attached GeoJSON file.

Select a Graduated style for the Alle_2012 field. Any mode is fine.

The low value the lowest class is shown as "39.31" to me.

In the map, one of the polygons is shown transparent.

The polygon has a Alle_2012 value of 39.3146345533185.

If I simply double-click the values and hit OK, the polygon will be shown.

History

#1 - 2017-10-27 03:57 PM - Anita Graser

- Affected QGIS version changed from 2.18.13 to master

- Priority changed from Normal to High

Can reproduce in 2.18 and master.

#2 - 2017-10-28 05:55 PM - Giovanni Manghi

- Affected QGIS version changed from master to 2.18.13

- Status changed from Open to Feedback

Is this a regression?

#3 - 2017-10-30 05:07 AM - Nyall Dawson

- Assignee set to Nyall Dawson

#4 - 2017-10-30 05:24 AM - Nyall Dawson

- Resolution set to up/downstream

- Assignee deleted (Nyall Dawson)

Upstream issue in gdal library. Can be tested by running

ogrinfo -al -sql "SELECT min(Alle_2012) from OGRGeoJSON" missing\ lowest\ value.geojson
Reports: 39.3146345533185, when the actual field value is 39.314634553318456

#5 - 2018-02-23 03:28 PM - Giovanni Manghi

- Status changed from Feedback to Closed

Files

missing lowest value.geojson 3 MB 2017-10-27 Johannes Kroeger
